Bug 68250 - Web Inspector: limit the use of "Resource" term in the protocol.
Summary: Web Inspector: limit the use of "Resource" term in the protocol.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Pavel Feldman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-16 09:35 PDT by Pavel Feldman
Modified: 2011-09-21 04:44 PDT (History)
11 users (show)

See Also:


Attachments
Patch (20.53 KB, patch)
2011-09-16 09:38 PDT, Pavel Feldman
no flags Details | Formatted Diff | Diff
Patch (20.54 KB, patch)
2011-09-20 07:12 PDT, Pavel Feldman
yurys: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Feldman 2011-09-16 09:35:34 PDT
Patch to follow.
Comment 1 Pavel Feldman 2011-09-16 09:38:12 PDT
Created attachment 107667 [details]
Patch
Comment 2 Vsevolod Vlasov 2011-09-20 05:56:17 PDT
Comment on attachment 107667 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=107667&action=review

> Source/WebCore/inspector/Inspector.json:76
> +                    { "name": "loaderId", "$ref": "Network.LoaderId", "description": "Identifier of the loader associated with this frame." },

How is that related to the bug description?

> Source/WebCore/inspector/Inspector.json:351
> +                    { "name": "stackTrace", "$ref": "StackTrace", "optional": true, "description": "JavaScript stack trace for assertions and error messages." }

And that?

> Source/WebCore/inspector/Inspector.json:428
> +        "description": "Network domain allows tracking network activities of the page. It exposes information about HTTP requests and responses, their headers, bodies, timing, etc.",

It also exposes information about FTP, WebSocket, file:// and other types of activities. I think this descriptin is confusing.
Comment 3 Pavel Feldman 2011-09-20 07:08:07 PDT
Comment on attachment 107667 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=107667&action=review

>> Source/WebCore/inspector/Inspector.json:76
>> +                    { "name": "loaderId", "$ref": "Network.LoaderId", "description": "Identifier of the loader associated with this frame." },
> 
> How is that related to the bug description?

Drive-by making loaderId strong-typed.

>> Source/WebCore/inspector/Inspector.json:351
>> +                    { "name": "stackTrace", "$ref": "StackTrace", "optional": true, "description": "JavaScript stack trace for assertions and error messages." }
> 
> And that?

Drive-by fix.

>> Source/WebCore/inspector/Inspector.json:428
>> +        "description": "Network domain allows tracking network activities of the page. It exposes information about HTTP requests and responses, their headers, bodies, timing, etc.",
> 
> It also exposes information about FTP, WebSocket, file:// and other types of activities. I think this descriptin is confusing.

Fixed.
Comment 4 Pavel Feldman 2011-09-20 07:12:29 PDT
Created attachment 107997 [details]
Patch
Comment 5 Vsevolod Vlasov 2011-09-20 07:22:54 PDT
Looks good.
Comment 6 Pavel Feldman 2011-09-21 04:44:41 PDT
Committed r95613: <http://trac.webkit.org/changeset/95613>